View Issue Details

IDProjectCategoryView StatusLast Update
0000376Industrial-Craft²general / otherpublic2013-06-14 16:55
ReporterGregoriusTAssigned ToRichardG 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000376: Crash on World Loading
DescriptionSo, I updated to 304, and now I can no longer access my Test World. New Worlds work fine, and I have no Idea what is causing this Crash.
Steps To ReproduceWell, place a bunch of random crap in 294, update and always crash right after loading the World.
Additional Informationjava.lang.RuntimeException: java.lang.NoSuchFieldException: custumData
    at ic2.core.network.NetworkManager.getFieldData(NetworkManager.java:628)
    at ic2.core.network.NetworkManager.sendUpdatePacket(NetworkManager.java:340)
    at ic2.core.network.NetworkManager.sendUpdatePacket(NetworkManager.java:333)
    at ic2.core.network.NetworkManager.onTick(NetworkManager.java:81)
    at ic2.core.IC2.tickStart(IC2.java:1205)
TagsNo tags attached.
Minecraft Version

Relationships

duplicate of 0000379 resolvedRichardG Stakes cause crash, unable to use save 

Activities

GregoriusT

2013-04-23 19:52

reporter   ~0000924

I know what it is. It's the Crops again.

Wliu

2013-04-23 22:13

reporter   ~0000927

First of all, though...
custumData
Typo?

agaricus

2013-04-25 04:14

reporter   ~0000929

The problem is in ic2/core/block/TileEntityCrop, getNetworkedFields() returns a list of: id, size, upgraded, custumData(sic) - but the custumData short[16] field was removed (though there is a customData field now, its an NBTTagCompound).

This field is still documented in the API at http://ic2api.player.to/ic2api/html/classic2_1_1api_1_1_t_e_crop.html#af046b552e1338c342817d2dd2cab76dc , maybe it should be brought back?

Issue History

Date Modified Username Field Change
2013-04-23 19:32 GregoriusT New Issue
2013-04-23 19:52 GregoriusT Note Added: 0000924
2013-04-23 22:13 Wliu Note Added: 0000927
2013-04-25 04:14 agaricus Note Added: 0000929
2013-04-29 00:40 RichardG Relationship added duplicate of 0000379
2013-04-29 00:40 RichardG Status new => resolved
2013-04-29 00:40 RichardG Fixed in Version => 1.116 beta
2013-04-29 00:40 RichardG Resolution open => fixed
2013-04-29 00:40 RichardG Assigned To => RichardG